
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何优化MySQL insert性能 / iVAN</title>

    <meta name="description" content="如何优化MySQL insert性能 对于一些数据量较大的系统,面临的问题除了是查询效率低下,还有一个很重要的问题就是插入时间长.我们就有一个业务系统,每天的数据导入需要4-5个钟.这种费时的操作其实是很有风险的,假设程序出了问题,想重跑操作那是一件痛苦的事情.因此,提高大数据量系统的MySQL insert效率是很有必要的. 经过对MySQL的测试,发现一些可以提高insert效率的方法,供大家参考参考. 1.一条SQL语句插入多条数据. 常用的插入语句如: INSERT INTO `insert_table` (`datetim">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何优化MySQL insert性能</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对于一些数据量较大的系统，面临的问题除了是查询效率低下，还有一个很重要的问题就是插入时间长。我们就有一个业务系统，每天的数据导入需要4-5个钟。这种费时的操作其实是很有风险的，假设程序出了问题，想重跑操作那是一件痛苦的事情。因此，提高大数据量系统的<a href="http://www.blogjava.net/qileilove/archive/2012/10/25/390200.html" rel="external nofollow noreferrer"><u><strong>MySQL</strong></u></a> insert效率是很有必要的。</p>
<p>　　经过对MySQL的<a href="http://www.blogjava.net/qileilove/archive/2012/10/25/390200.html" rel="external nofollow noreferrer"><u><strong>测试</strong></u></a>，发现一些可以提高insert效率的方法，供大家参考参考。</p>
<p><strong>　　1、一条<a href="http://www.blogjava.net/qileilove/archive/2012/10/25/390200.html" rel="external nofollow noreferrer"><u><strong>SQL</strong></u></a>语句插入多条数据。</strong></p>
<p>　　常用的插入语句如：</p>
<table>
<tbody>
<tr>
<td>INSERT INTO `insert_table` (`datetime`, `uid`, `content`, `type`) VALUES ('0', 'userid_0', 'content_0', 0);<br />
INSERT INTO `insert_table` (`datetime`, `uid`, `content`, `type`) VALUES ('1', 'userid_1', 'content_1', 1);</td>
</tr>
</tbody>
</table>
<p>　　修改成：</p>
<table>
<tbody>
<tr>
<td>INSERT INTO `insert_table` (`datetime`, `uid`, `content`, `type`) VALUES ('0', 'userid_0', 'content_0', 0), ('1', 'userid_1', 'content_1', 1);</td>
</tr>
</tbody>
</table>
<p>　　修改后的插入操作能够提高程序的插入效率。这里第二种SQL执行效率高的主要原因有两个，一是减少SQL语句解析的操作，只需要解析一次就能进行数据的插入操作，二是SQL语句较短，可以减少网络传输的IO。</p>
<p>　　这里提供一些测试对比数据，分别是进行单条数据的导入与转化成一条SQL语句进行导入，分别测试1百、1千、1万条数据记录。</p>
<p><a href="http://www.51testing.com/batch.download.php?aid=36183" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LjUxdGVzdGluZy5jb20vYXR0YWNobWVudHMvMjAxMi8xMC8zNDY4MzZfMjAxMjEwMjMxMDEzMDkxM0JTeS5qcGc=.jpg"></a></p>
<p><strong>　　2、在事物中进行插入处理。</strong></p>
<p>　　把插入修改成：</p>
<table>
<tbody>
<tr>
<td>START TRANSACTION;<br />
INSERT INTO `insert_table` (`datetime`, `uid`, `content`, `type`) VALUES ('0', 'userid_0', 'content_0', 0);<br />
INSERT INTO `insert_table` (`datetime`, `uid`, `content`, `type`) VALUES ('1', 'userid_1', 'content_1', 1);<br />
...<br />
COMMIT;</td>
</tr>
</tbody>
</table>
<p>　　使用事物可以提高数据的插入效率，这是因为进行一个INSERT操作时，MySQL内部会建立一个事物，在事物内进行真正插入处理。通过使用事物可以减少创建事物的消耗，所有插入都在执行后才进行提交操作。</p>
<p>　　这里也提供了测试对比，分别是不使用事物与使用事物在记录数为1百、1千、1万的情况。</p>
<p><a href="http://www.51testing.com/batch.download.php?aid=36184" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LjUxdGVzdGluZy5jb20vYXR0YWNobWVudHMvMjAxMi8xMC8zNDY4MzZfMjAxMjEwMjMxMDEzMTIxeVBlTS5qcGc=.jpg"></a></p>
<p><strong>　　<a href="http://www.blogjava.net/qileilove/archive/2012/10/25/390200.html" rel="external nofollow noreferrer"><u><strong>性能测试</strong></u></a>：</strong></p>
<p>　　这里提供了同时使用上面两种方法进行INSERT效率优化的测试。即多条数据合并为同一个SQL，并且在事物中进行插入。</p>
<p><a href="http://www.51testing.com/batch.download.php?aid=36185" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LjUxdGVzdGluZy5jb20vYXR0YWNobWVudHMvMjAxMi8xMC8zNDY4MzZfMjAxMjEwMjMxMDEzMTYxdnZDaC5qcGc=.jpg"></a></p>
<p>　　从测试结果可以看到，insert的效率大概有50倍的提高，这个一个很客观的数字。</p>
<p><strong>　　注意事项：</strong></p>
<p>　　1、SQL语句是有长度限制，在进行数据合并在同一SQL中务必不能超过SQL长度限制，通过max_allowed_packe配置可以修改，默认是1M。</p>
<p>　　2、事物需要控制大小，事物太大可能会影响执行的效率。MySQL有innodb_log_buffer_size配置项，超过这个值会<a href="http://www.blogjava.net/qileilove/archive/2012/10/25/390200.html" rel="external nofollow noreferrer"><u><strong>日志</strong></u></a>会使用磁盘数据，这时，效率会有所下降。所以比较好的做法是，在事物大小达到配置项数据级前进行事物提交。</p>
<p>====================================分割线================================</p>
<p>最新内容请见作者的GitHub页：http://qaseven.github.io/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 17:18:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="大数据">大数据</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd%e6%b5%8b%e8%af%95/" title="性能测试">性能测试</a>, <a href="https://www.iamivan.net/tag/transaction/" title="Transaction">Transaction</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何优化MySQL insert性能的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGj8K3p.html" rel="bookmark">优化MySQL数据库性能的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    本文探讨了提高MySQL 数据库性能的思路,并从8个方面给出了具体的解决方法. 1.选取最适用的字段属性 MySQL可以很好的支持大数据量的存取,但是一般说来,数据库中的表越小,在它上面执行的查询也就会越快.因此,在创建表的时候,为了获得更好的性能,我们可以将表中字段的宽度设得尽可能小.例如,在定义邮政编码这个字段时,如果将其设置为CHAR(255),显然给数据库增加了不必要的空间,甚至使用VARCHAR这种类型也是多余的,因为CHAR(6)就可以很好的完成任务了.同样的,如果可以的话,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE2mJb.html" rel="bookmark">优化MySQL数据库性能的八大&OpenCurlyDoubleQuote;妙手&rdquo;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文探讨了提高MySQL 数据库性能的思路,并从8个方面给出了具体的解决方法. 1.选取最适用的字段属性 MySQL可以很好的支持大数据量的存取,但是一般说来,数据库中的表越小,在它上面执行的查询也就会越快.因此,在创建表的时候,为了获得更好的性能,我们可以将表中字段的宽度设得尽可能小.例如,在定义邮政编码这个字段时,如果将其设置为CHAR(255),显然给数据库增加了不必要的空间,甚至使用VARCHAR这种类型也是多余的,因为CHAR(6)就可以很好的完成任务了.同样的,如果可以的话,我们应该			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rmAmz.html" rel="bookmark">优化MySQL数据库性能的八种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.选取最适用的字段属性 MySQL可以很好的支持大数据量的存取,但是一般说来,数据库中的表越小,在它上面执行的查询也就会越快.因此,在创建表的时候,为了获得更好的性能,我们可以将表中字段的宽度设得尽可能小.例如,在定义邮政编码这个字段时,如果将其设置为CHAR(255),显然给数据库增加了不必要的空间,甚至使用VARCHAR这种类型也是多余的,因为CHAR(6)就可以很好的完成任务了.同样的,如果可以的话,我们应该使用MEDIUMINT而不是BIGIN来定义整型字段. 另外一个提高效率的方法是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmWYmz.html" rel="bookmark">大幅优化MySQL查询性能的奇技淫巧&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 回顾 MySQL / InnoDB 的改善历史.你能很容易发现.在MySQL 5.6稳定版本中从来没有在read-only 这么快的提速,它很容易搞懂,以及在read-only(RO)有着良好的扩张性.也很期待它在read+write(RW)上达到一个较高水平.(特别是在读取数据是数据库主要工作的时候) 然而.我们对于RO在 MySQL 5.6的表现也十分的高兴,在5.7这个版本中,主要工作集中在 read+write (RW)上, 因为在大数据的处理上还没能达到我们的期望.但是RW依赖RO下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLgE6M.html" rel="bookmark">my&period;ini优化mysql数据库性能的十个参数&lpar;推荐&rpar;&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天刚好需要配置mysql 5.5.45,因为数据库量挺大的,所以必须优化,要不mysql真的不快. (1).max_connections:允许的同时客户的数量.增加该值增加 mysqld 要求的文件描述符的数量.这个数字应该增加,否则,你将经常看到 too many connections 错误. 默认数值是100,我把它改为1024 . (2).record_buffer:每个进行一个顺序扫描的线程为其扫描的每张表分配这个大小的一个缓冲区.如果你做很多顺序扫描,你可能想要增加该值.默认数值			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0nJOp.html" rel="bookmark">Mysql数据库性能优化一&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天,数据库的操作越来越成为整个应用的性能瓶颈了,这点对于Web应用尤其明显.关于数据库的性能,这并不只是DBA才需要担心的事,而这更是我们程序员需要去关注的事情.当我们去设计数据库表结构,对操作数据库时(尤其是查表时的SQL语句),我们都需要注意数据操作的性能.这里,我们不会讲过多的SQL语句的优化,而只是针对MySQL这一Web应用最多的数据库. mysql的性能优化无法一蹴而就,必须一步一步慢慢来,从各个方面进行优化,最终性能就会有大的提升. Mysql数据库的优化技术 对mysql优化是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmREkM.html" rel="bookmark">15 个有用的 MySQL&sol;MariaDB 性能调整和优化技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL 是一个强大的开源关系数据库管理系统(简称 RDBMS).它发布于 1995 年(20年前).它采用结构化查询语言(SQL),这可能是数据库内容管理中最流行的选择.最新的 MySQL 版本是 5.6.25,于 2015 年 5 月 29 日发布. 关于 MySQL 一个有趣的事实是它的名字来自于 Michael Widenius(MySQL 的创始人)的女儿&quot; My&quot;.尽管有许多关于 MySQL 有趣的传闻,不过本文主要是向你展示一些有用的实践,以帮助你管理你的 MySQL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLOq3M.html" rel="bookmark">Mysql数据库性能优化二&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章给大家介绍了mysql数据库性能优化一,今天继续接着上篇文章给大家介绍数据库性能优化相关知识.具体内容如下所示: 建立适当的索引 说起提高数据库性能,索引是最物美价廉的东西了.不用加内存,不用改程序,不用调sql,只要执行个正确的'create index',查询速度就可能提高百倍千倍,这可真有诱惑力.可是天下没有免费的午餐,查询速度的提高是以插入.更新.删除的速度为代价的,这些写操作,增加了大量的I/O. 是不是建立一个索引就能解决所有的问题?ename上没有建立索引会怎样? sel			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q7rRp.html" rel="bookmark">MySQL数据插入insert性能优化详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于一些数据量较大的系统,面临的问题除了是查询效率低下,还有一个很重要的问题就是插入时间长.我们就有一个业务系统,每天的数据导入需要4-5个钟.这种费时的操作其实是很有风险的,假设程序出了问题,想重跑操作那是一件痛苦的事情.因此,提高大数据量系统的MySQL insert效率是很有必要的. 经过对MySQL的测试,发现一些可以提高insert效率的方法,供大家参考参考. 1. 一条SQL语句插入多条数据. 常用的插入语句如:  代码如下 复制代码 INSERTINTO`insert_table`			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9nYgp.html" rel="bookmark" class="title">用PhptoShop做日式动漫CG2</a>
					<div>
						五.上眼睛色. 俗话说,眼睛是心灵的窗户.绘画中眼睛也是刻画人物最关键的部分,是人物的灵魂所在.因为如此重要,所以我买的那本教材里每一位作者都把眼睛单独用一整页来介绍详细画法.我也不该例外,这里用8个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boQyvp.html" rel="bookmark" class="title">动态Include文件的讨论</a>
					<div>
						include|动态 我们从一个案例谈起: &lt;% '得到用户所在的省份 Dim Province Province = Request.form(&quot;Province&quot;) '下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEYKWb.html" rel="bookmark" class="title">无需模板 ASP&plus;FSO生成静态HTML页</a>
					<div>
						FSO生成静态HTML文件的时候替换模板标签一直是一个很麻烦的问题,至少我是这么认为的,还要别外做一个模板,麻烦!,我今天看见有一个方法可以解决这个问题 如一个正常的index.asp页面,并且用AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKY8ap.html" rel="bookmark" class="title">为什么CorelDraw文字转曲线的时候文字会跑位</a>
					<div>
						&lt;CorelDraw疑难杂症速查手册&gt;收集了作者木平与各位平面设计同仁相互探讨提出的问题以及百度CD吧的提问,结合实际操作和工作中遇到的问题整理而成.其中有些问题参考了吧中好友和网络上同道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7wwxM.html" rel="bookmark" class="title">有状态stateful与无状态stateless地址转换</a>
					<div>
						  NAT64属于有状态的地址转换技术,IVI属于无状态的地址转换技术,本博文简单总结下有状态(stateful)和无状态(stateless)地址转换的特点. 有状态地址转换的特点:(以NAT64技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24ZNop.html" rel="bookmark" class="title">windows 7 任务栏你不知道的神奇用法</a>
					<div>
						windows 7任务栏很多人都知道,平常也都有在用.但是很多人都不知道它两个强大的功能.比如我们经常浏览网站,很多人都习惯打开网页,点击收藏夹来浏览哪些我们经常浏览的网站,但是秒用win7任务栏你只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL9anb.html" rel="bookmark" class="title">如何在win7旗舰版电脑中卸载打印机程序</a>
					<div>
						  1.首先,咱们直接单击打开win7旗舰版电脑的开始菜单,然后从开始菜单进入到设备和打印机选项中,这样就可以进入到咱们打印机程序的窗口了. 2.接下来,咱们在打开的窗口中找到自己需要卸载掉的打印机程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN16x7b.html" rel="bookmark" class="title">设备管理器不正常工作的设备图标有哪些</a>
					<div>
						  设备管理器的打开方法:我的电脑右键---管理---设备管理器 如果你发现你的设备管理器里面有以下3中图标,说明你的驱动有问题. 黄色问号表示:该硬件设备还没有被操作系统所识别,无法为之安装匹配的驱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8yxAp.html" rel="bookmark" class="title">Sketch 3 快捷键中英文备忘</a>
					<div>
						  之前整理过 Sketch 2 的快捷键,这才没过几天,Sketch 就出了新版本,我这里也更新一下.快捷键英文版依然是来自 SketchShortcuts.com. Insert 插入 快捷键 N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywxWkz.html" rel="bookmark" class="title">xcode-Xcode7 调用Python数据</a>
					<div>
						问题描述 Xcode7 调用Python数据 50C 是这样的 :我Xcode做好了某个程序了,但是没有数据,而这个数据在 Python 里面才有,我就用xcode调用 Python 的运行得到的数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoPWGb.html" rel="bookmark" class="title">JS判断字符串长度的5个方法（区分中文和英文）&lowbar;javascript技巧</a>
					<div>
						目的:计算字符串长度(英文占1个字符,中文汉字占2个字符) 方法一: 复制代码 代码如下: String.prototype.gblen = function() {    var len = 0;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3280gz.html" rel="bookmark" class="title">求解在windows azure上固定实例内部IP（DIP）方法？</a>
					<div>
						问题描述 求解在windows azure上固定实例内部IP(DIP)方法? 求解,在windows azure上进行固定实例内部IP(DIP)的具体方法和流程 解决方案 Hi, 请阅读这篇文章:ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P0K3p.html" rel="bookmark" class="title">自动化-在mac OS中调用git active命令报不支持协议</a>
					<div>
						问题描述 在mac OS中调用git active命令报不支持协议 在iOS自动打包的shell脚本中获取git库的代码 git archive --remote $git_repo --format ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJklB2b.html" rel="bookmark" class="title">下一次技术革命，数据驱动让决策更精准、高效</a>
					<div>
						关注变现:基于变现的要求进一步推动用户体验的迭代&amp;更新.领英背后是一个非常大的精细化数据运营平台,这个平台在驱动着领英的发展; 领英的创始人叫里德.霍夫曼,他认为人与人之间的关系是产生社会价值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRxAXz.html" rel="bookmark" class="title">宽带不达标&OpenCurlyDoubleQuote;假象&rdquo;：解开真假宽带之谜</a>
					<div>
						3月15日来临,各种打假呼声高涨,其中宽带网速不达标的质疑声一直不断,近日,当着来自全国数十家媒体,中国电信进行了一次公开的测速试验.&lt;IT时报&gt;记者亲身体验,发现宽带不达标主要可分两种情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqA15z.html" rel="bookmark" class="title">mfc-我用MFC做的聊天软件刚刚点击完发送就弹出每个MFC都会弹出的普通窗口，然后聊天的对话框就不见了</a>
					<div>
						问题描述 我用MFC做的聊天软件刚刚点击完发送就弹出每个MFC都会弹出的普通窗口,然后聊天的对话框就不见了 我用MFC做的聊天软件刚刚点击完发送就弹出每个MFC都会弹出的普通窗口,然后聊天的对话框就不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK29Wz.html" rel="bookmark" class="title">以《星际争霸》为例，阿里多智能体协作网络BiCNet展现人工集体智能无限潜力</a>
					<div>
						阿里巴巴认知计算实验室与伦敦大学学院计算机系合作,以游戏&quot;星际争霸1&quot;(下简称&quot;星际&quot;)中的微观战斗场景为测试环境,深入地研究了多个 AI 智能体之间的协作问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW23rM.html" rel="bookmark" class="title">getGroupFromeServer问题</a>
					<div>
						问题描述 getGroupFromeServer,麻烦问下,这个方法为什么获取不到群成员信息啊~try {group = EMGroupManager.getInstance().getGroupFr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwEOmM.html" rel="bookmark" class="title">H&period;264视频的RTP荷载格式</a>
					<div>
						Status of This Memo    This document specifies an Internet standards track protocol for the   Intern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyemLZM.html" rel="bookmark" class="title">3种最快提高直通车质量分办法的利弊分析</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近经常在很多文章中学习高手们是如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgjERM.html" rel="bookmark" class="title">mipi屏幕初始化指令-mipi屏幕调试初始化指令</a>
					<div>
						问题描述 mipi屏幕调试初始化指令 在调试mipi屏幕的初始化的11指令没起作用,退出不了睡眠模式,屏幕始终没亮过?什么原因呢?截图是什么意思? 解决方案 先显示,然后退出睡眠,试下! 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq9Z6b.html" rel="bookmark" class="title">高小英身怀六甲腰身未变悠闲大吃冰欺凌</a>
					<div>
						高小英纤细腰身吃冰激凌 五月初和韩国顶尖男星张东健如期完婚,现在已经怀孕六个月的女星高小英,日前被人拍到街照,却相当令人惊讶依然很纤细苗条,并且还吃着冰激凌.[page] 高小英纤细腰身吃冰激凌 韩国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZaN3z.html" rel="bookmark" class="title">Window下adb shell中文乱码问题解决方法&lowbar;Android</a>
					<div>
						Window下,进行adb shell后,举个例子,如果你的sdcard下保存着中文字符文件名的文件,则在CMD下显示是一些无规律的中文并夹杂着乱码. 出现这种情况的原因是: Android中使用的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNy7Bp.html" rel="bookmark" class="title">discuz&excl;-Discuz出现了安装的错误怎么解决</a>
					<div>
						问题描述 Discuz出现了安装的错误怎么解决 解决方案 访问拒绝,是不是密码不对啊 解决方案二: 解决刚安装完tengine,运行Discuz安装页面时出现403错误					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvDRWM.html" rel="bookmark" class="title">奥克斯：出名易讨名声难</a>
					<div>
						高调之后突然沉寂,紧接着又是另一轮高调亮相,奥克斯的做法,引发了业内的种种猜想 文/谭雅 沉寂了多年的奥克斯,终于又一次活跃在了媒体的面前. 近日,各大媒体纷纷爆出同一条新闻:国际功夫巨星将代言奥克斯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdAG7p.html" rel="bookmark" class="title">Lua中获取utf8字符串长度的方法和自定义函数&lowbar;Lua</a>
					<div>
						复制代码 代码如下: --- 获取utf8编码字符串正确长度的方法 -- @param str -- @return number function utfstrlen(str) local len  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YyO0p.html" rel="bookmark" class="title">CFO要积极迎接财务的大数据时代</a>
					<div>
						大数据处理技术以及大数据管理共同缔造的大数据时代,不仅变革了传统财务管理的理念,也改变了企业中财务管理职能的定位,使财务管控路径和模式更具多样化,这意味着财务工作者的职业能力结构重塑和职业发展瓶颈将有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZRgy6z.html" rel="bookmark" class="title">Control的Databindings问题</a>
					<div>
						问题描述 现在有一个对象,有20个属性,需要增加或编辑,于是用到了DatabindingsMyobjectobj=newMyobjct();varbs=newBindingSource();bs.Da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKN67M.html" rel="bookmark" class="title">SQL Server 利用触发器对多表视图进行更新的实现方法&lowbar;MsSql</a>
					<div>
						其步骤就是:利用update操作触发器产生的2个虚拟表[inserted]用来存储修改的数据信息和[deleted]表,然后将对应的数据更新到对应数据表中的字段信息中: 1.首先创建3个表: a.信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKv0GM.html" rel="bookmark" class="title">索尼PlayStation 4真人广告流出 美式枪车球主导</a>
					<div>
						[TechWeb报道]对于下个月即将正式发售的 索尼PS4来说,造势工作已经轰轰烈烈的展开了.今日,索尼公司正式对外发布了首款PlayStation 4的电视广告.出人意料的是,此条索尼PS4广告并未 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
